#include <stdio.h>


int main ()
{
 int x,s,d,j,novi_broj;
 
 
 scanf ("%d",&x);
 if (x>=100 && x<=999)
 { j=x%10;
   d=(x/10)%10;
   s=x/100;
 

 if (s==d)
   novi_broj=s*100+d ;
 
 if(s==j)
   novi_broj=s*10 + j;
 
 if(d==j)
   novi_broj=10*d+j;
 
if (s==d && s==j)
  novi_broj=s*100+d*10+j; 


printf ("%d",novi_broj); 
}
   
  
  else 
    return -1;

 
 
 
 return 0;
  
  
}